# Vault Gun Sharer (Beta)
* Share your Gun Vault Files with zero code. 
* Simply add this mod as a depenency to your Mod
* Your Gun will auto load into others' `Documents\My Games\H3VR\Vault\Objects\BareObjects` folder.  
* Includes [Vault Save Compatibility](https://h3vr.thunderstore.io/package/NGA/VaultSaveCompatibility/) mod, so others can safely download your gun even if they're missing some dependencies in it.

## SIMPLE How-to-Use:
### Finding Gun File in your PC
1. Open File Explorer in Windows
2. Go to your `C:\Users\<YOU>\Documents\My Games\H3VR\Vault\Objects\BareObjects` or `Objects\LoadOuts` folder
4. Select the Gun file you wish to share, and copy it with `Crtl+C`
![](https://i.imgur.com/bppziE2.png?maxwidth=500)
### Making a Gun Vault Mod
1. Copy the **Template Folder** from https://github.com/NewGenerationAlms/NgaShareableCode/tree/main/h3vr/vaultgunsharer/Template to your computer and edit the contained files according to instructions below.  
  i. Your manifest's dependencies should look like this
    ```
    {
        "name": "YourModName",
        "version_number": "1.0.0",
        "website_url": "",
        "description": "Your Mod description.",
        "dependencies": [
            "NGA-VaultGunSharer-0.1.0"
        ]
    }
    ```
2. Paste the gun vault configuration files you copied earlier, in step "Finding Gun File in your PC", into this mod folder.  
  i. Add the prefix `"gun_shared_"` to the file name.  
  ii. Example, if the original file was called `PRIMER_VFL`, it should now be called `gun_shared_PRIMER_VFL`:
![](https://i.imgur.com/xQAxIwG.png?maxwidth=500)

### Uploading your Mod
1. Compress your files with the default Windows compressor highlighted in the image below:  
![](https://i.imgur.com/M3JgOlO.png?maxwidth=500)
2. Open https://h3vr.thunderstore.io/package/create/  
  i. Create an account with the site if needed, you can use your GitHub too.
3. Drag the Zip file you created in the previous section where indicated.  
  i. Select your Team (your account)   
  ii. Ensure you have `H3VR` set as the game  
  iii. Set the Category to `Vault File`  
  iv. Submit and debug. 
![](https://i.imgur.com/4FehX7b.png?maxwidth=500)
4. Debugging Thunderstore (Common errors)    
  i. Your `image` isn't called "icon" or it's not a PNG of size 256x256.   
  ii. `Manifest` has error, validate it with https://h3vr.thunderstore.io/tools/manifest-v1-validator/  
  iii. `README` has MarkDown syntax error, validate it with https://h3vr.thunderstore.io/tools/markdown-preview/   

### Versions
#### 0.1.0
* Automatically loads any json gun vault files (objects or quickbelts) with "gun_shared_" prefix in their name to the /Plugins' subfolders
* Open Beta, let's see what breaks
